<VirtualHost *:80>
   ServerName {{ app_domain | mandatory }}

   RewriteEngine On
   RewriteCond %{HTTPS} off
   RewriteRule ^(.*)$ https://%{HTTP_HOST}$1 [R=301,L]
</VirtualHost>

<IfModule mod_ssl.c>
   <VirtualHost *:443>

     ServerName {{ app_domain }}

     SetEnvIFNoCase User-Agent "Monit" dontlog
     CustomLog {{ www_log }}/{{ app_instance_id }}/access.log combined env=!dontlog
     ErrorLog {{ www_log }}/{{ app_instance_id }}/error.log

     ProxyPassMatch   "^/(sockjs\/.*\/websocket)$" "ws://127.0.0.1:3001/$1"
     ProxyPass        "/" "http://127.0.0.1:3001/"
     ProxyPassReverse "/" "http://127.0.0.1:3001/"


     <IfModule mod_headers.c>
          Header always set Strict-Transport-Security "max-age=15768000; preload"
     </IfModule>

     SSLEngine on
     SSLCertificateFile /etc/letsencrypt/live/{{ app_domain }}/fullchain.pem
     SSLCertificateKeyFile /etc/letsencrypt/live/{{ app_domain }}/privkey.pem
     
     </VirtualHost>
</IfModule>
